summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Seifert <soap@gentoo.org>2017-12-23 19:44:09 +0100
committerDavid Seifert <soap@gentoo.org>2017-12-23 19:45:34 +0100
commita4fea019175a1a73486a1f759b0cafc875826072 (patch)
tree2489fad1bcd8341651963b874a2aac855b0e8418 /sci-biology
parentsci-biology/bamtools: Add support for static libraries (diff)
downloadgentoo-a4fea019175a1a73486a1f759b0cafc875826072.tar.gz
gentoo-a4fea019175a1a73486a1f759b0cafc875826072.tar.bz2
gentoo-a4fea019175a1a73486a1f759b0cafc875826072.zip
sci-biology/bamtools: Version bump to 2.5.1
Package-Manager: Portage-2.3.19, Repoman-2.3.6
Diffstat (limited to 'sci-biology')
-rw-r--r--sci-biology/bamtools/Manifest1
-rw-r--r--sci-biology/bamtools/bamtools-2.5.1.ebuild69
2 files changed, 70 insertions, 0 deletions
diff --git a/sci-biology/bamtools/Manifest b/sci-biology/bamtools/Manifest
index bd3643e1a9e..da707d0eb8f 100644
--- a/sci-biology/bamtools/Manifest
+++ b/sci-biology/bamtools/Manifest
@@ -1 +1,2 @@
DIST bamtools-2.4.2.tar.gz 548095 BLAKE2B 19f302eb5de9c8e3f0dc53cb9cbb359b1186b44318f7cb82e83ea995920bb30331d0873c9ad9c68601306772eab1283ead2b0eb4a8cb17cb1eade600c9cdbfac SHA512 244a63609c0b10a85bba7cac210a27ea9abafba136e9c91fc789c7aa21a6cdaa7622afebc50ec8d30d4446872d5206dbd3d679ca03e95ac90771c87359cb69a0
+DIST bamtools-2.5.1.tar.gz 549750 BLAKE2B c00b42b10e074e2c6b06f8bc9277a57080b9e99cd10080b1ad9052d59a3db353b33ecf6c30642d1651897396ea65e1e19cb15db0d58a89d4375fe34a8ec38e55 SHA512 f2c761c5bf923cf2f3db3dc54e40b4781307106b9177784f930aab619bd11fae3b343f3cfd232524580d39f0526a2a2f18efcf820fe4d9c951406bdb6b953afb
diff --git a/sci-biology/bamtools/bamtools-2.5.1.ebuild b/sci-biology/bamtools/bamtools-2.5.1.ebuild
new file mode 100644
index 00000000000..ba21654b97f
--- /dev/null
+++ b/sci-biology/bamtools/bamtools-2.5.1.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils multibuild
+
+DESCRIPTION="A programmer's API and an end-user's toolkit for handling BAM files"
+HOMEPAGE="https://github.com/pezmaster31/bamtools"
+
+if [[ ${PV} == *9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/pezmaster31/bamtools.git"
+else
+ SRC_URI="https://github.com/pezmaster31/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="MIT"
+SLOT="0/${PV}" # no stable ABI yet
+IUSE="static-libs"
+
+RDEPEND="
+ >=dev-libs/jsoncpp-1.8.0:=
+ sys-libs/zlib:="
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+pkg_setup() {
+ [[ ${MERGE_TYPE} != binary ]] &&
+ MULTIBUILD_VARIANTS=(
+ $(usev static-libs)
+ shared
+ )
+}
+
+src_prepare() {
+ # delete bundled libs, just to be safe
+ rm -r src/third_party/{gtest-1.6.0,jsoncpp} || die
+
+ cmake-utils_src_prepare
+}
+
+src_configure() {
+ my_configure() {
+ case "${MULTIBUILD_ID}" in
+ static*)
+ local mycmakeargs=( -DBUILD_SHARED_LIBS=OFF )
+ ;;
+ shared)
+ local mycmakeargs=( -DBUILD_SHARED_LIBS=ON )
+ ;;
+ *)
+ die "${MULTIBUILD_ID} is not recognized"
+ ;;
+ esac
+
+ cmake-utils_src_configure
+ }
+ multibuild_foreach_variant my_configure
+}
+
+src_compile() {
+ multibuild_foreach_variant cmake-utils_src_compile
+}
+
+src_install() {
+ multibuild_foreach_variant cmake-utils_src_install
+}